<?php

declare(strict_types=1);

namespace PhpWA\Transport;

use PhpWA\Runtime\Deadline;

interface StreamConnectorInterface
{
     
    public function connect(string $host, int $port, bool $secure, Deadline $deadline);
}
